#!/bin/bash

#####  ALSA toggle for Banshee ##########
state=`gconftool-2 --get /system/gstreamer/0.10/default/musicaudiosink | cut -d\  -f1`

if [ $state == "autoaudiosink" ]; then
  gconftool-2 -t string -s /system/gstreamer/0.10/default/musicaudiosink "alsasink device=bluetooth"
  echo "AudioSink = Blueooth Headset"
else
  gconftool-2 -t string -s /system/gstreamer/0.10/default/musicaudiosink "autoaudiosink"
  echo "AudioSink = Normal Speaker"
fi
